{ pkgs, ...}:

pkgs.stdenv.mkDerivation {
  version = "2.200";
  pname = "manjari";
  
  src = pkgs.fetchzip {
    url = "https://smc.org.in/downloads/fonts/manjari/manjari.zip";
    hash = "sha256-u3hUW6EFhr9FIUl28u7TUKEclxWcpK95OUmL+SCwkD0=";
    stripRoot = false;
  };

  
  installPhase = ''
      runHook preInstall
      install -Dm444 -t $out/share/fonts/opentype $src/*.otf
      install -Dm444 -t $out/share/fonts/truetype $src/*.ttf
      runHook postInstall                
 '';

  meta = with pkgs.lib; {
    homepage = "https://smc.org.in/fonts/manjari";
    description = "Manjari Malayalam Typeface";
    license = licenses.ofl;
    platforms = platforms.all;
    maintainers = with maintainers; [ aashiks ];
  };
}
